#include <signal.h>
#include <bindings.macros.h>

-- | <http://www.opengroup.org/onlinepubs/9699919799/basedefs/signal.h.html>

module Bindings.C.Signal where
#strict_import

#function_pointer SIG_DFL
#function_pointer SIG_ERR
#function_pointer SIG_IGN

#num SIGABRT
#num SIGFPE
#num SIGILL
#num SIGINT
#num SIGSEGV
#num SIGTERM

#ccall raise , CInt -> IO CInt
#ccall signal , CInt -> FunPtr (CInt -> \
  IO ()) -> IO (FunPtr (CInt -> IO ()))
